# $Revision: 1.3 $, $Date: 2002/10/03 11:21:55 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	Cache
Summary:	IPC::Cache - persisted data across process boundaries
Summary(pl):	IPC::Cache - zachowywanie danych midzy procesami
Name:		perl-IPC-Cache
Version:	0.02
Release:	3
License:	GPL v1+
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.005
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl(IPC::ShareLite) >= 0.06
BuildRequires:	perl(Storable) >= 0.607
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::Cache Perl module implements an object store where data is
persisted across processes.

%description -l pl
Modu Perla IPC::Cache implementuje pami podmiotow, zapewniajc
niezalen od procesw trwao danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES TODO
%{perl_sitelib}/IPC/Cache.pm
%{_mandir}/man3/*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-IPC-Cache.spec,v $
Revision 1.3  2002/10/03 11:21:55  qboosh
- pl summary, release 3

Revision 1.2  2002/09/21 20:58:06  radek
- informative summary
- release 2
STBR

Revision 1.1  2002/09/11 22:10:29  ankry
- new, STBR
